List conversations
curl --request GET \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"pages": {
"per_page": 5,
"has_more_pages": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNC0wNi0xNFQxNTo0NTozNC4wMDAwMDBaIiwiaWQiOjg5Nzc2MTc5NTMsIl9wb2ludHNUb05leHRJdGVtcyI6dHJ1ZX0"
},
"conversations": [
{
"id": "8977617953",
"contact_id": "qtr89df0-112d-d197-b541-3f8674663246",
"archived": 0,
"important": 1,
"created_at": "2024-06-14T15:45:34+00:00",
"messages": [
{
"text": "System variables are predefined variables that contain system information or can be used to perform specific actions. These variables are automatically created by the Builder.",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": [
{
"type": "webpage",
"title": "Types of variables - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/variable-types"
},
{
"type": "webpage",
"title": "Sidebar - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/sidebar"
},
{
"type": "webpage",
"title": "What are variables? - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/what-are-variables"
}
]
},
"created_at": "2024-06-17T16:09:52+00:00"
},
{
"text": "What are system variables",
"role": "user",
"created_at": "2024-06-17T16:09:45+00:00"
},
{
"text": "**Hello! How can I assist you today?**\n\nIf you have any questions related to our chatbot or services, please feel free to ask. I'm here to help!",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": []
},
"created_at": "2024-06-14T15:45:39+00:00"
},
{
"text": "Hello!",
"role": "user",
"created_at": "2024-06-14T15:45:34+00:00"
}
]
}
]
}
}
Conversations
List conversations
Get a list of all the chatbot’s conversations with users.
GET
/
chatbots
/
{chatbotId}
/
conversations
List conversations
Request parameters
Path
string
required
The chatbot ID.
Query
string
The pagination cursor returned in
pages.next_cursor from the previous response. Omit this parameter to retrieve the first page. Keep the same sort value when requesting subsequent pages.string
default:"date_desc"
The sort order. Possible values:
date_desc: Sort by date in descending order.date_asc: Sort by date in ascending order.
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.object
Show properties
Show properties
object
array
Show properties
Show properties
string
The unique identifier of the conversation.
string
The unique identifier of the contact associated with the conversation.
boolean
Whether the conversation is archived (by the admin).
boolean
Whether the conversation is marked as important.
string
The date and time when the conversation was created.
array
Recent 20 messages in the conversation.
Show properties
Show properties
string
The unique identifier of the message.
string
The text content of the message.
string
The role of the sender of the message (bot, user, or system).
boolean
Whether the message is generated by the AI using the knowledge base.
object
The data of the message. Varies depending on the message type.
string
The date and time when the message was created.
{
"status": "success",
"data": {
"pages": {
"per_page": 5,
"has_more_pages": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNC0wNi0xNFQxNTo0NTozNC4wMDAwMDBaIiwiaWQiOjg5Nzc2MTc5NTMsIl9wb2ludHNUb05leHRJdGVtcyI6dHJ1ZX0"
},
"conversations": [
{
"id": "8977617953",
"contact_id": "qtr89df0-112d-d197-b541-3f8674663246",
"archived": 0,
"important": 1,
"created_at": "2024-06-14T15:45:34+00:00",
"messages": [
{
"text": "System variables are predefined variables that contain system information or can be used to perform specific actions. These variables are automatically created by the Builder.",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": [
{
"type": "webpage",
"title": "Types of variables - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/variable-types"
},
{
"type": "webpage",
"title": "Sidebar - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/sidebar"
},
{
"type": "webpage",
"title": "What are variables? - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/what-are-variables"
}
]
},
"created_at": "2024-06-17T16:09:52+00:00"
},
{
"text": "What are system variables",
"role": "user",
"created_at": "2024-06-17T16:09:45+00:00"
},
{
"text": "**Hello! How can I assist you today?**\n\nIf you have any questions related to our chatbot or services, please feel free to ask. I'm here to help!",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": []
},
"created_at": "2024-06-14T15:45:39+00:00"
},
{
"text": "Hello!",
"role": "user",
"created_at": "2024-06-14T15:45:34+00:00"
}
]
}
]
}
}
⌘I

